/*
Example for Solar_Energy Click

    Date          : Aug 2017.
    Author        : Djordje Rosic

Test configuration AVR :
    
    MCU             : ATMEGA32
    Dev. Board      : EasyAVR v7 
    SW              : mikroC PRO for AVR v7.0.0

Description :

    Following example will charge the battery if it is empty, and stop charging
    when the battery is full. When battery full status is detected, device is
    disabled, but will check battery status every 10 seconds.

*/
sbit SOLAR_EN_PIN at PORTA5_bit;
sbit SOLAR_INT_PIN at PORTD2_bit;
void systemInit()
{
    DDA5_bit = 1;
    DDD2_bit = 0;
}

void Solar_Energy_Init()
{
    SOLAR_EN_PIN = 0;
}

void Solar_Energy_Task()
{
    if (SOLAR_INT_PIN)
    {
        SOLAR_EN_PIN = 1;
        Delay_ms (10000);
    }
    else
    {
        SOLAR_EN_PIN = 0;
    }
}

void main()
{
    systemInit();
    Solar_Energy_Init();

    while( 1 )
    {
            Solar_Energy_Task();
    }
}